using LSFE.MobApp.ViewModels.Coverage;

namespace LSFE.MobApp.Pages.CoveragePlan;

public partial class DoctorsPage : ContentPage
{
    private readonly DoctorsVM _viewModel;

    public DoctorsPage(DoctorsVM viewModel)
    {
        InitializeComponent();
        _viewModel = viewModel;
        BindingContext = _viewModel;
    }

    protected override void OnAppearing()
    {
        base.OnAppearing();
        _viewModel.RefreshData();
    }
}